API references
Search documentation... ⌘K
API references
Merchant API

Remove an item from a metadata set.

A metadata set is an array of unique values. This endpoint removes a specific value from the set at the given path: - If the value is not found in the set, an error is returned. - The metadata at the path must be an array.

Example

If current metadata is {"tags": ["a", "b"]}, removing "a" from path "tags" results in {"tags": ["b"]}. Attempting to remove "c" results in an error.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/remove-from-metadata-set HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
key: string,
path: string?,
value: any,
version: number?,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
key string

Required. The unique key for the metadata.

path string

Optional. Optional dot-separated path within the metadata object.

value any

Required. The value to remove from the set.

version number

Optional. The version number for optimistic locking.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.